enum Status { active, pause, inactive }

Status mapStatus(String value) {
  if (value == null) return null;
  return Status.values.firstWhere(
    (type) => type.toString().split('.').last == value.toLowerCase(),
    orElse: () => Status.inactive,
  );
}
